export interface Node {
  id: string;
  coordla: number;
  coordlong: number;
  batteryMinimum: number;
  batteryMaximum: number;
  group: string;
}

export interface NodeGroup {
  id: string;
  name: string;
}

export interface SensorData {
  id: string;
  timestamp: number;
  temperature: number;
  voltage: number;
  uptime: number;
}

export interface User {
  id: string;
  name: string;
  email: string;
  hash: string;
}

export interface CreateUserDto {
  name: string;
  email: string;
  password: string;
  admin: boolean;
}

export interface UpdateUserDto {
  name: string;
  email: string;
  password?: string;
  admin?: boolean;
}

